Bug 145513 - External symbols partially broken
External symbols partially broken
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 01:47 EST by Vasile Gaburici
Modified: 2008-02-04 11:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 11:27:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile Gaburici 2005-01-19 01:47:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
I've installed the debuginfo rpm for cvs in an attempt to debug an
issues with it. I cannot use all gdb functionality with it however.
It complains about the debug symbols, even though they seem to be in
the cvs.debug file (checked with 'objdump -x -s'). I can use tab
completion for symbols, set breakpoints on symbols, but cannot use
list on a symbol (even after setting the source dir). Also gdb keeps
complaining about missing debugging symbols...

[vga@edge ~]$ rpm -qa | grep cvs
cvs-debuginfo-1.11.17-4
cvs-1.11.17-4

[vga@edge zuzu]$ gdb /usr/bin/cvs
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...
(gdb) b fin<TAB>
finaladd                   find_filesdoneproc         find_type
finalwrite                 find_function              findmaxrev
find_and_hash_each_line    find_function_last_match   findnode
find_change                find_function_last_search  findnode_fn
find_checkedout_proc       find_hunk                  findslash
find_data_static           find_identical_ends        findtag
find_dirent_proc           find_ignproc               finish_output
find_dirs                  find_rcs                   
find_fileproc              find_reverse_change        
(gdb) b find_dirs 
Breakpoint 1 at 0x8066fb2
(gdb) run co prj
Starting program: /usr/bin/cvs co prj
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...cvs checkout: Updating prj

Breakpoint 1, 0x08066fb2 in find_dirs ()
(gdb) cont
Continuing.
cvs [checkout aborted]: cannot open current directory: Value too large
for defined data type

Program exited with code 01.
(gdb) list find_dirs
No symbol table is loaded.  Use the "file" command.
(gdb) dir /usr/src/redhat/BUILD/cvs-1.11.17/
Source directories searched: /usr/src/redhat/BUILD/cvs-1.11.17:$cdir:$cwd
(gdb) list find_dirs
No symbol table is loaded.  Use the "file" command.


Ignore the cvs issue; cvs is writing to an experimental NFS server,
which is causing the checkout to abort. All gdb stuff is on ext3, so
it has no reason to fail. 


Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.43

How reproducible:
Always

Steps to Reproduce:
See above.

Additional info:
Comment 1 Vasile Gaburici 2005-01-19 03:15:53 EST
Actually, this 99% a cvs debuginfo rpm problem.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145517

The only irk with gdb is that is says "No symbol table is loaded" when
"No line information available" is far more appropriate.
Comment 2 Matthew Miller 2006-07-10 17:38:47 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-04 11:27:39 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora 8
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.